#31135 closed defect (invalid)

Missing dependency for numpy

Reported by: John Palmieri Owned by:
Priority: minor Milestone: sage-duplicate/invalid/wontfix
Component: packages: standard Keywords:
Cc: Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description

On OS X and an Ubuntu virtual machine, running

% make distclean
% ./configure
% make numpy

leads to an error:

Package 'numpy' is currently not installed
Uninstalling 'numpy' with legacy uninstaller
Traceback (most recent call last):
  File "/Users/palmieri/Desktop/Sage/sage_builds/TESTING/sage-9.3.beta4/local/var/tmp/sage/build/numpy-1.19.4/src/../lapack_conf.py", line 7, in <module>
    pc_blas   = pkgconfig.parse('cblas blas')
  File "/Users/palmieri/Desktop/Sage/sage_builds/TESTING/sage-9.3.beta4/local/lib/python3.9/site-packages/pkgconfig/pkgconfig.py", line 248, in parse
    _raise_if_not_exists(package)
  File "/Users/palmieri/Desktop/Sage/sage_builds/TESTING/sage-9.3.beta4/local/lib/python3.9/site-packages/pkgconfig/pkgconfig.py", line 103, in _raise_if_not_exists
    raise PackageNotFoundError(package)
pkgconfig.pkgconfig.PackageNotFoundError: cblas not found

I am guessing that an entry is missing in build/pkgs/numpy/dependencies.

Change History (4)

comment:1 Changed 22 months ago by John Palmieri

Component: PLEASE CHANGEpackages: standard
Priority: majorminor
Type: PLEASE CHANGEdefect

comment:2 Changed 22 months ago by Matthias Köppe

Milestone: sage-9.3sage-duplicate/invalid/wontfix
Status: newneeds_review

This is #30721

comment:3 Changed 22 months ago by John Palmieri

Status: needs_reviewpositive_review

comment:4 Changed 16 months ago by Matthias Köppe

Resolution: invalid
Status: positive_reviewclosed
Note: See TracTickets for help on using tickets.